# Photolog Backend Services

requires docker and docker-compose

## Usage

First make sure to fill in all .env file related secrets (see .env.dist).

### Django REST API Backend
`docker-compose up -d backend`

### Celery Worker Node
`docker-compose up -d worker`

### Daphne Websocket server
`docker-compose up -d websocket`

### Redis Cache and Celery Message Broker
`docker-compose up -d cache`

### S3 Object Storage
`docker-compose up -d s3`

### PostgreSQL Database
`docker-compose up -d db`
